/*
**
**	Copyright (c) MIT, 1991
**	All Rights Reserved.  Unpublished rights reserved under the copyright 
**	laws of the United States.
**
**++
**  FACILITY:  LSL Checker
**
**  MODULE DESCRIPTION:
**
**      FILENAME:   print.h
**
**	PURPOSE:    Interface to print routines for output
**
**	     The routines generate lines of output that begin with a specified
**	prefix (e.g., "% ") and indentation.  Extra spaces as the beginning of
**	a line of output are discarded (i.e., the only spaces at the beginning
**	of a line are those generated by the prefix or the indentation).
**	Overlength lines are broken at a space and continued with extra
**	indentation on the next line.
**
**	USAGE:	# include "general.h"
**		# include "print.h"
**
**  MODIFICATION HISTORY:
**
**      {0} Garland at MIT   -- 91.12.20 -- Original
**      {n} Who     at Where -- yy.mm.dd -- What
**--
*/


/*
**
**  MACRO DEFINITIONS (none)
**
*/



/*
**
**  TYPEDEFS (none)
**
*/


/*
**
**  FUNCTION PROTOTYPES
**
*/

extern bool		 print_closeFile(void);
extern bool		 print_openFile(char *name, char *suffix);
extern void		 print_char(char c);
extern void		 print_str(char *s);
extern void		 print_setIndent(unsigned int n);
extern void		 print_adjustIndent(int n);
extern void		 print_setPrefix(char *s);
extern void		 print_newline(unsigned int n);


/*
**
**  EXTERNAL VARIABLES (none)
**
*/
